Subject: CA Wildflowers Sitings?

From: [email-masked] (lynn vavra)
Date: 15 Mar 1995 02:37:51 GMT

I am interested if anyone across our soggy state can advise if the
wildflowers are in bloom --especially in the Antelope Valley area, down in
Carlsbad (not wildflowers necessarily, but the C.Ranch?), etc.  TIA! Lynn